| GET | /RestApi/ab-testing/edit-page-selector |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PageNodeId | query | Guid | No | |
| Culture | query | string | No | |
| HasConnectionConfigurationError | query | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| Status | form | ABTestStatus | No | |
| Variations | form | ICollection<ABTestVariationViewModel> | No | |
| PreviewLink | form | string | No | |
| AbTestingApiServerHasConnection | form | bool | No | |
| HasConnectionConfigurationError | form | bool | No | |
| WarningMessage | form | string | No | |
| ApiKeyChanged | form | bool | No |
| NotStarted | |
| Scheduled | |
| Active | |
| Stopped | |
| Ended |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| VariatonId | form | Guid | No | |
| VariationName | form | string | No | |
| VariationLink | form | string | No | |
| IsWinner | form | bool | No | |
| Ordinal | form | int | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/edit-page-selector HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"Status":"NotStarted","PreviewLink":"String","AbTestingApiServerHasConnection":false,"HasConnectionConfigurationError":false,"WarningMessage":"String","ApiKeyChanged":false}